//Dispatch types definitions

//Sidebar action

export const SIDEBAR_TOGGLED = "SIDEBAR_TOGGLED";

//Members action
export const MEMBERS_LIST = "MEMBERS_LIST";

//Tickets action
export const TICKETS_LIST = "TICKETS_LIST";

//Membership Type action
export const MEMBERSHIP_TYPE_LIST = "MEMBERSHIP_TYPE_LIST";

//Auth Type
export const LOGGED_IN = "LOGGED_IN";
export const LOGGED_OUT = "LOGGED_OUT";
export const LOGIN_ERROR = "LOGIN_ERROR";
export const RESET_EMAIL_SUCCESS = "RESET_EMAIL_SUCCESS";
export const RESET_FAILURE = "RESET_FAILURE";

export const REGISTERATION_SUCCESS = "REGISTERATION_SUCCESS";
export const REGISTERATION_ERROR = "REGISTERATION_ERROR";

export const RESET_AUTH_ERROR = "RESET_AUTH_ERROR";
export const ACTIVATE_EMAIL_STATE = "ACTIVATE_EMAIL_STATE";

export const KEEP_ALIVE = "KEEP_ALIVE";

//User Profile type
export const PROFILE_GET = "PROFILE_GET";
export const PROFILE_SAVED = "PROFILE_SAVED";
export const PROFILE_PHOTO_GET = "PROFILE_PHOTO_GET";
export const PROFILE_PHOTO_SAVED = "PROFILE_PHOTO_SAVED";
export const PROFILE_PHOTO_DELETE = "PROFILE_PHOTO_DELETE";
export const PROFILE_PASSWORD_CHANGED_LOGGED_IN =
  "PROFILE_PASSWORD_CHANGED_LOGGED_IN";

export const PROFILE_GET_ERROR = "PROFILE_GET_ERROR";
export const PROFILE_SAVED_ERROR = "PROFILE_SAVED_ERROR";
export const PROFILE_PHOTO_GET_ERROR = "PROFILE_PHOTO_GET_ERROR";
export const PROFILE_PHOTO_SAVED_ERROR = "PROFILE_PHOTO_SAVED_ERROR";
export const PROFILE_PHOTO_DELETE_ERROR = "PROFILE_PHOTO_DELETE_ERROR";
export const PROFILE_PASSWORD_CHANGED_LOGGED_IN_ERROR =
  "PROFILE_PASSWORD_CHANGED_LOGGED_IN_ERROR";

//Purchase Type
export const ADD_CART = "ADD_CART";
export const PURCHASE_LIST = "PURCHASE_LIST";

//Notifications Types
export const SET_NOTIFICATION = "SET_NOTIFICATION";
export const CLEAR_NOTIFICATIONS = "CLEAR_NOTIFICATIONS";

export const SET_LOADER = "SET_LOADER";

export const CLEAR_STATUS = "CLEAR_STATUS";

//Channel types
export const CHANNELS_LIST = "CHANNELS_LIST";
export const CHANNEL_CREATE_SUCCESS = "CHANNEL_CREATE_SUCCESS";
export const CHANNEL_CREATE_ERROR = "CHANNEL_CREATE_ERROR";
export const AUTHORIZED_TENANTS = "AUTHORIZED_TENANTS";
//Collections types
export const COLLECTIONS_LIST = "COLLECTIONS_LIST";

//Misc types
export const COUNTRIES_LIST = "COUNTRIES_LIST";
export const CURRENCY_LIST = "CURRENCY_LIST";

//Admin
export const ADMIN_MEMBER_LIST = "ADMIN_MEMBER_LIST";
export const ADMIN_MEMBER_TYPE_LIST = "ADMIN_MEMBER_TYPE_LIST";
export const ADMIN_VIDEO_LIST = "ADMIN_VIDEO_LIST";
export const ADMIN_COLLECTION_LIST = "ADMIN_COLLECTION_LIST";
export const ADMIN_COLLECTION_VIDEO_LIST = "ADMIN_COLLECTION_VIDEO_LIST";
export const ADMIN_PRICE_LIST = "ADMIN_PRICE_LIST";

export const ADMIN_ADD_SUCCESS = "ADMIN_ADD_SUCCESS";
export const ADMIN_UPDATE_SUCCESS = "ADMIN_UPDATE_SUCCESS";
export const ADMIN_DELETE_SUCCESS = "ADMIN_DELETE_SUCCESS";
export const ADMIN_ADD_ERROR = "ADMIN_ADD_ERROR";
export const ADMIN_UPDATE_ERROR = "ADMIN_UPDATE_ERROR";
export const ADMIN_DELETE_ERROR = "ADMIN_DELETE_ERROR";

export const API_ERROR = "API_ERROR";
